public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/openct/
Date: Sun, 11 Apr 2021 19:48:08 +0000 (UTC)	[thread overview]
Message-ID: <1618170385.f0644b69eae65e47efcfd26d7f0bfdfe192ed6bd.conikost@gentoo> (raw)

commit:     f0644b69eae65e47efcfd26d7f0bfdfe192ed6bd
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 11 19:46:25 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Apr 11 19:46:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0644b69

dev-libs/openct: migrate to GLEP 81

Closes: https://bugs.gentoo.org/781290
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-libs/openct/openct-0.6.20-r5.ebuild | 70 +++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/dev-libs/openct/openct-0.6.20-r5.ebuild b/dev-libs/openct/openct-0.6.20-r5.ebuild
new file mode 100644
index 00000000000..12d4c000e8c
--- /dev/null
+++ b/dev-libs/openct/openct-0.6.20-r5.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic udev
+
+DESCRIPTION="library for accessing smart card terminals"
+HOMEPAGE="https://github.com/OpenSC/openct/wiki"
+
+SRC_URI="mirror://sourceforge/opensc/${PN}/${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="doc debug pcsc-lite usb"
+
+DEPEND="
+	pcsc-lite? ( >=sys-apps/pcsc-lite-1.7.2-r1:= )
+	usb? ( virtual/libusb:0 )
+	dev-libs/libltdl:0=
+"
+RDEPEND="
+	${DEPEND}
+	acct-group/openct
+	acct-user/openctd
+"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+src_configure() {
+	use debug && append-cppflags -DDEBUG_IFDH
+
+	econf \
+		--localstatedir=/var \
+		--with-udev="$(get_udevdir)" \
+		--enable-non-privileged \
+		--with-daemon-user=openctd \
+		--with-daemon-groups=usb \
+		--enable-shared \
+		--disable-static \
+		$(use_enable doc) \
+		$(use_enable doc api-doc) \
+		$(use_enable pcsc-lite pcsc) \
+		$(use_with pcsc-lite bundle /usr/$(get_libdir)/readers/usb) \
+		$(use_enable usb)
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -delete || die
+	rm -f "${ED}"/usr/$(get_libdir)/openct-ifd.* || die
+
+	udev_newrules etc/openct.udev 70-openct.rules
+
+	newinitd "${FILESDIR}"/openct.initd openct
+}
+
+pkg_postinst() {
+	elog
+	elog "You need to edit /etc/openct.conf to enable serial readers."
+	elog
+	elog "You should add \"openct\" to your default runlevel. To do so"
+	elog "type \"rc-update add openct default\"."
+	elog
+	elog "You need to be a member of the (newly created) group openct to"
+	elog "access smart card readers connected to this system. Set users'"
+	elog "groups with usermod -G.  root always has access."
+	elog
+}


             reply	other threads:[~2021-04-11 19:48 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-11 19:48 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-15  8:45 [gentoo-commits] repo/gentoo:master commit in: dev-libs/openct/ Arthur Zamarin
2023-09-10  5:54 WANG Xuerui
2023-08-05 11:36 Arthur Zamarin
2023-07-10 16:07 Jakov Smolić
2023-06-28  7:37 Sam James
2021-07-20 19:12 Conrad Kostecki
2021-07-20 19:12 Conrad Kostecki
2021-07-17 23:18 Sam James
2021-07-16 21:44 Sam James
2021-07-15 21:42 Sam James
2021-07-15 21:39 Sam James
2021-07-15 21:33 Sam James
2021-04-03 23:07 Sam James
2018-09-27 23:55 Alon Bar-Lev
2017-03-25 18:11 Alon Bar-Lev
2016-06-12 13:41 Alon Bar-Lev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618170385.f0644b69eae65e47efcfd26d7f0bfdfe192ed6bd.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox